export function getActionPage() {
	let pages = getCurrentPages();
	return pages[pages.length - 1]
}
//登录拦截
export function interceptor() {
	let pages = getActionPage();
	// 获取当前页面
	let pageUrl = '/' + pages.route;
	let url = '/pages/login/login'
	// #ifdef H5
	// 判断是否为公众号调用微信授权登录
	let weichatBrowser = uni.getStorageSync('weichatBrowser');
	if (weichatBrowser) {
		url = '/pages/public/wxLogin';
	}else {
		return uni.showModal({
			title:'温馨提醒',
			content:'请使用微信扫码'
		})
	}
	// #endif
	// #ifdef MP-WEIXIN
	url = '/pages/public/wxLogin';
	// #endif
	if (pageUrl != url) {
		uni.navigateTo({
			url
		})
	}
}

// 保存页面
export function saveUrl() {
	// 获取当前页面
	let page = getActionPage();
	// 获取跳转前路由地址
	let path = '/' + page.route;
	// 判断是否在商品页
	if (path == '/pages/product/product') {
		path = path + '?id=' + page.goodsid;
		// 判断是否不是普通商品
		if(page.goodsType>0){
			path+='&type='+page.goodsType
		}
		// 判断是否为秒杀商品
		if(page.goodsType==1){
			path+="&stoptime="+page.seckillObj.stopTime
		}
	}
	if (path == '/pages/groupBooking/detail') {
		path +=  '?id=' + page.gp_id;
		// // 判断是否有邀请人
		if(page.spread){
			path +="&spread=" +page.spread
		}
	}
	// 保存当前过去页面
	uni.setStorageSync('present', path);
}
